<<<<<<< HEAD ======= ColorfulCircle | SDF-2D - v0.7.6 >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Hierarchy

- Drawable
  - ColorfulCircle

## Index

### Constructors

- constructor

### Properties

- center
- colorIndex
- radius

### Methods

- getObjectToSerialize
- minDistance

### Object literals

- descriptor

## Constructors

### constructor

- new ColorfulCircle(center: vec2, radius: number, colorIndex: number): ColorfulCircle

- <<<<<<< HEAD
  - Defined in drawables/shapes/colorful-circle.ts:36
  =======
  - Defined in drawables/shapes/colorful-circle.ts:36
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### center: vec2

  - ##### radius: number

  - ##### colorIndex: number

  #### Returns ColorfulCircle

## Properties

### center

center: vec2

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:38
=======
- Defined in drawables/shapes/colorful-circle.ts:38
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### colorIndex

colorIndex: number

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:38
=======
- Defined in drawables/shapes/colorful-circle.ts:38
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### radius

radius: number

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:38
=======
- Defined in drawables/shapes/colorful-circle.ts:38
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Overrides Drawable.getObjectToSerialize

  <<<<<<< HEAD
  - Defined in drawables/shapes/colorful-circle.ts:46
  =======
  - Defined in drawables/shapes/colorful-circle.ts:46
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Overrides Drawable.minDistance

  <<<<<<< HEAD
  - Defined in drawables/shapes/colorful-circle.ts:42
  =======
  - Defined in drawables/shapes/colorful-circle.ts:42
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### target: vec2

  #### Returns number

## Object literals

### Static descriptor

descriptor: object

Overrides Drawable.descriptor

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:6
=======
- Defined in drawables/shapes/colorful-circle.ts:6
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### empty

empty: ColorfulCircle = new ColorfulCircle(vec2.create(), 0, 0)

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:35
=======
- Defined in drawables/shapes/colorful-circle.ts:35
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### shaderCombinationSteps

shaderCombinationSteps: number[] = [0, 1, 2, 3, 8, 16]

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:34
=======
- Defined in drawables/shapes/colorful-circle.ts:34
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### uniformCountMacroName

uniformCountMacroName: string = "COLORFUL_CIRCLE_COUNT"

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:33
=======
- Defined in drawables/shapes/colorful-circle.ts:33
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### propertyUniformMapping

propertyUniformMapping: object

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:28
=======
- Defined in drawables/shapes/colorful-circle.ts:28
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### center

center: string = "colorfulCircleCenters"

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:29
=======
- Defined in drawables/shapes/colorful-circle.ts:29
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### colorIndex

colorIndex: string = "colorfulCircleColorIndex"

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:31
=======
- Defined in drawables/shapes/colorful-circle.ts:31
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### radius

radius: string = "colorfulCircleRadii"

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:30
=======
- Defined in drawables/shapes/colorful-circle.ts:30
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### sdf

sdf: object

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:7
=======
- Defined in drawables/shapes/colorful-circle.ts:7
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### distanceFunctionName

distanceFunctionName: string = "circleMinDistance"

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:26
=======
- Defined in drawables/shapes/colorful-circle.ts:26
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### shader

shader: string = `uniform vec2 colorfulCircleCenters[COLORFUL_CIRCLE_COUNT];uniform float colorfulCircleRadii[COLORFUL_CIRCLE_COUNT];uniform int colorfulCircleColorIndex[COLORFUL_CIRCLE_COUNT];float circleMinDistance(vec2 target, out vec4 color) {float minDistance = 1000.0;for (int i = 0; i < COLORFUL_CIRCLE_COUNT; i++) {float dist = distance(colorfulCircleCenters[i], target) - colorfulCircleRadii[i];if (dist < minDistance) {color = readFromPalette(colorfulCircleColorIndex[i]);dist = minDistance;}}return minDistance;}`

<<<<<<< HEAD
- Defined in drawables/shapes/colorful-circle.ts:8
=======
- Defined in drawables/shapes/colorful-circle.ts:8
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc